> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca le valutazioni del workflow

> Elenca i risultati delle valutazioni salvate per un framework (workflow) di un'organizzazione, gli snapshot con punteggio alla base della dashboard Cyber Posture. Usa ?latest=N per le N più recenti.



## OpenAPI

````yaml get /api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/evaluations
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}/evaluations:
    get:
      tags:
        - v-ciso
      summary: List workflow evaluations
      description: |-
        Retrieve active workflow evaluation results.
        Optional: ?latest=N to fetch only the N most recent evaluations.
      operationId: v_ciso_organizations_workflows_evaluations_retrieve
      parameters:
        - in: query
          name: latest
          schema:
            type: integer
          description: >-
            Return only the latest N evaluations (e.g. ?latest=1 for the most
            recent one).
        - in: path
          name: organizationid
          schema:
            type: integer
          required: true
        - in: path
          name: workflowid
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - organization
                        - workflow_id
                        - workflow_name
                        - evaluation_data
                        - created_at
                        - created_by
                        - deleted
                      properties:
                        id:
                          type: integer
                          minimum: 1
                        organization:
                          type: integer
                          minimum: 1
                          description: Organization ID
                        workflow_id:
                          type: string
                        workflow_name:
                          type: string
                        evaluation_data:
                          type: object
                        created_at:
                          type: string
                          format: date-time
                        created_by:
                          type: string
                        deleted:
                          type: boolean
                        deleted_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        deleted_by:
                          type:
                            - string
                            - 'null'
                      additionalProperties: true
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Organization not found
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````